<?php

// Test comment 1

/*
  Test Comment 2
  (Multiple lines)
*/

# Test comment 3

//User definable variables...
$datasource = "/www/chem/PHP-trial/thermo_mol.dat";
$PDBFilesLocation = "/www/chem/PHP-trial/";
$windowWidth = 320;
$windowHeight = 420;
?>

<!-- Test Comment -->
<html>
<head>
<title>Browser-linked thermodatabase</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<script language="JavaScript">
function popup(dest) {
      var x = <?=$windowWidth?>;
      var y = <?=$windowHeight?>;
      if (document.all || document.getElementByID) {
         var xMax = screen.width, yMax = screen.height;
      } else {
         if (document.layers) {
             var xMax = window.outerWidth, yMax = window.outerHeight;
         } else {
             var xMax = 640, yMax=480;
         }
      }
      var xOffset = (xMax - x)/2;
      var yOffset = (yMax - y)/2;
      if (!window.CSwindow) {
        // it has not yet been defined yet
        CSwindow = window.open('moleculeViewer.php?pdbfile=<?=$PDBFilesLocation?>' + dest,'popup','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=' + x + ',height=' + y + ',screenX='+xOffset+',screenY='+yOffset+',top='+yOffset+',left='+xOffset+'');
      } else {
            if (!CSwindow.closed) {
                CSwindow.close();
            } 
                CSwindow = window.open('moleculeViewer.php?pdbfile=<?=$PDBFilesLocation?>' + dest,'popup','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=' + x + ',height=' + y + ',screenX='+xOffset+',screenY='+yOffset+',top='+yOffset+',left='+xOffset+'');
            
      }
      return;
}
</script>
<body>
           <h1>Browser-linked Chemkin-style thermodynamic database</h1>
		   <h2>Demonstration</h2>
           <code>
           <?
            //Do not change this code - change the variables at the very top of the program instead.
            $fp = fopen($datasource, "r");
            //Ignore the first 2 lines of the file...
            $buffer = fgets($fp);
            $buffer = fgets($fp);
            //read in the rest of the file, creating links on the page...
            while (!feof ($fp)) {
              $isLink = false;
              //Line 1 contains the display name for the link and additional info that we want to display...
              $buffer = fgets($fp);
              $wordlength = strpos($buffer, " ");
              $linkText = substr($buffer, 0, $wordlength);
              $otherText = substr($buffer, $wordlength);

              //If Line 2 starts with a !, it's a link...
              $buffer = fgets($fp);
              if ($buffer[0] == "!") {
                $isLink = true;
                $wordlength = strpos($buffer, "  ") - 1;
                $href = substr($buffer, 2, $wordlength);
                $buffer = fgets($fp);
              }
            
              //Display the name / link...
              if ($isLink) {
                echo "<br><a href=\"javascript:popup('$href');\">$linkText</a>";
              } else {
                echo "<br>" . $linkText;
              } 
              echo str_replace(" ", "&nbsp;", $otherText);
              echo "<br>";
              //There are now 3 lines of numbers to display under the link 
              for ($i = 0; $i<3; $i++) {
                echo str_replace(" ", "&nbsp;", $buffer) . "<br>"; 
                //only read the next line if it's not the last of the 3 lines...
                if ($i < 2) {
                  $buffer = fgets($fp);
                } 
              }
            }
            $result = fclose($fp);
           ?> 
           </code>
</body>
</html>

